Package relaxngcc.grammar

## Class ListPattern

- java.lang.Object
- - relaxngcc.grammar.Pattern
  - - relaxngcc.grammar.ListPattern

-     public class ListPattern
      extends Pattern

  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `alias` |
    `org.xml.sax.Locator` | `locator` |
    `Pattern` | `p` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListPattern​(ParserRuntime rt, org.xml.sax.Locator loc, Pattern p_, java.lang.String alias_)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `apply​(PatternFunction f)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### p

          public final Pattern p

    - #### alias

          public final java.lang.String alias

    - #### locator

          public final org.xml.sax.Locator locator

  - ### Constructor Detail

    - #### ListPattern

          public ListPattern​(ParserRuntime rt,
                             org.xml.sax.Locator loc,
                             Pattern p_,
                             java.lang.String alias_)

  - ### Method Detail

    - #### apply

          public java.lang.Object apply​(PatternFunction f)

      Specified by:
        `apply` in class `Pattern`